 drivers/block/as-iosched.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN drivers/block/as-iosched.c~as-remove-debug drivers/block/as-iosched.c
--- 25/drivers/block/as-iosched.c~as-remove-debug	2003-02-27 02:02:03.000000000 -0800
+++ 25-akpm/drivers/block/as-iosched.c	2003-02-27 02:02:03.000000000 -0800
@@ -186,7 +186,6 @@ static void put_as_io_context(struct as_
 	BUG_ON(atomic_read(&aic->refcount) == 0);
 	if (atomic_dec_and_test(&aic->refcount)) {
 		atomic_dec(&nr_as_io_requests);
-		printk("kfreeing %p\n", aic);
 		kfree(aic);
 		*paic = NULL;
 	}
@@ -212,7 +211,6 @@ static struct as_io_context *get_as_io_c
 	if (ret == NULL) {
 		ret = kmalloc(sizeof(*ret), GFP_ATOMIC);
 		if (ret) {
-			printk("kmalloc returned %p\n", ret);
 			atomic_inc(&nr_as_io_requests);
 			atomic_set(&ret->refcount, 1);
 			ret->pid = tsk->pid;
@@ -700,7 +698,6 @@ static void as_anticipate_work(void *dat
 
 static void as_start_anticipation(struct as_data *ad)
 {
-	struct request_queue *q = ad->q;
 	unsigned long timeout;
 
 	if (ad->antic_status == ANTIC_OFF) {

_
